#
# spec file for package scim-m17n
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           scim-m17n
Version:        0.2.3
Release:        6.31
Summary:        M17N Input Method Engine for SCIM
License:        GPL-2.0+
Group:          System/I18n/Chinese
Url:            http://sourceforge.net/projects/scim
Source:         http://hivelocity.dl.sourceforge.net/project/scim/scim-m17n/0.2.3/scim-m17n-0.2.3.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  libotf-devel
BuildRequires:  libtool
BuildRequires:  m17n-lib-devel
BuildRequires:  pkg-config
BuildRequires:  scim-devel
BuildRequires:  wordcut-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
M17N Input Method Engine for SCIM

Supports all input methods offered by m17n-lib and m17n-db.

Currently the following languages are supported:

Amharic, Arabic, Armenian, Assamese, Bengali, Chinese, Croatian,
Devanagari, Dhivehi, Farsi, Georgian Greek, Gujarati, Hebrew, Japanese,
Kannada, Kazakh, Khmer, Korean, Lao, Malayalam, Myanmar, Oriya,
Punjabi, Russian, Serbian, Sinhala, Slovak, Syriac, Tamil, Telugu,
Thai, Tibetan, Vietnamese

Several generic input methods for languages based on the Latin alphabet
are also included.

%prep
%setup -q

%build
libtoolize --force
autoreconf --force --install --verbose
CXXFLAGS="%{optflags}" \
%configure  --enable-debug \
            --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -name "*.la" -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_scim_enginedir}/m17n.so
%{_scim_icondir}/scim-m17n.png

%changelog
* Wed Sep 16 2015 i@marguerite.su
- clean up specfile, use macros from macros.scim
- add pkg-config as dependency to fix SLE_11_SP3/4 builds
* Mon Aug  5 2013 i@marguerite.su
- update version 0.2.3
  * no upstream changelog available now
  * this version has been released for 4 years without any news.
- removed patch: missing-includes.patch: upstreamed.
* Tue Jun 12 2012 tiwai@suse.de
- remove locale provides for avoiding automatic installation
* Thu Jun  7 2012 swyear@gmail.com
- remove "Provides: locale(zh)" from spec
* Sun Nov 27 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Nov  7 2007 mfabian@suse.de
- add missing includes to fix build with gcc 4.3.0.
* Mon Apr 23 2007 mfabian@suse.de
- update to 0.2.2.
- remove force-us-keyboard.patch (was from upstream CVS).
* Thu Nov  2 2006 zsu@suse.de
- Force to convert all key events to US English keyboard layout.
  Because m17n-lib can only use US English keyboard layout.
* Sun Oct 29 2006 meissner@suse.de
- use RPM_OPT_FLAGS correctly.
* Thu Oct 12 2006 mfabian@suse.de
- update to 0.2.1
  • Improve surrounding text support
- fix build with scim 1.4.5
* Mon Jul 17 2006 mfabian@suse.de
- add "#!BuildIgnore: NX" to make it build for the
  xorg7-SUSE_Factory in the openSUSE build service.
* Tue Feb 28 2006 mfabian@suse.de
- Bugzilla #153791: use ';' in Provides locale(...).
* Thu Feb 23 2006 mfabian@suse.de
- add "Provides: locale(scim:am,ar,as,bn,cs,da,de,el,en,es,fa,fi,fr,gu,he,hi,hr,it,ja,ka,kk,kn,ko,lo,ml,my,nb,nl,nn,pa,pl,ru,sk,sv,vi,zh)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 zsu@suse.de
- update to 0.2.0
* Mon Jan 10 2005 mfabian@suse.de
- update to 0.1.3.20050110.
- remove my reset-when-focus-out.patch (included now).
* Thu Dec 30 2004 mfabian@suse.de
- add Requires: m17n-lib, m17n-db.
* Wed Dec 22 2004 mfabian@suse.de
- Bugzilla #47019: add reset-when-focus-out.patch to commit
  the preedit string when switching off the input method or moving
  the focus to another application.
* Tue Dec 21 2004 mfabian@suse.de
- update to 0.1.3.20041221 (CVS version) and remove the last patch
  which is already in current CVS.
* Thu Dec 16 2004 mfabian@suse.de
- Bugzilla #49200:
  ("A patch to scim-m17n to fix an input issue in OOo when using
  gtk immodule."). Patch received from author Zhe Su applied.
* Fri Sep  3 2004 mfabian@suse.de
- update to 0.1.3.
* Tue Aug 17 2004 mfabian@suse.de
- new package: scim-m17n, version 0.1.1.
